Skip to main content
GET
/
api
/
v2
/
merchant_addresses
/
list
List Merchant Addresses
curl --request GET \
  --url https://api-staging.unbridaled.ai/api/v2/merchant_addresses/list \
  --header 'Authorization: Bearer <token>'
{
  "merchant_addresses": [
    {
      "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "name": "HQ Shipping",
      "merchant_uuid": "f1e2d3c4-b5a6-7890-1234-abcdef567890",
      "phone": "+12125550100",
      "address_1": "123 Main St",
      "address_2": "Suite 400",
      "city": "New York",
      "postal_code": "10001",
      "country_code": "US",
      "region": "NY",
      "address_type": "shipping",
      "is_default": true
    }
  ],
  "total": 1
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

OK

merchant_addresses
object[]
total
integer

Total number of addresses returned.